
Application: gvSIG desktop - gvSIG bugs #5310
Salta error al añadir un campo a una tabla
06/19/2020 02:51 PM - Mario Carrera

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document table
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3025 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Se ha quedado bloqueada la aplicación al añadir un campo a una tabla de solo 8000 registros.

Probado con la siguiente capa: https://mega.nz/file/7IhxERpL#BXrhulb1eS4gSq3HLvHyFYC0yZ07FmPizLnlW1p_-EQ

Pasos seguidos: 
- Vista en EPSG 4674 
- Cargar la capa y abrir su tabla
- Ordenar alfabéticamente por el campo "UBC" 
- Poner en edición 
- Ir a Tabla - Añadir columna

Ahí han saltado varios errores, y se ha quedado bloqueada la aplicación.

Adjunto log (de antes de matar la aplicación)

Ayer me pasó directamente al ordenar alfabéticamente por el mismo campo, que se quedó bloqueado gvSIG, simplemente añadiendo
la capa y abriendo la tabla.

History
#1 - 06/20/2020 07:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3026 to 2.5.1-3044

#2 - 06/20/2020 07:54 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3026

No creo que eso se pueda arreglar ahora. Podemos ver de tecnicas alternativas para hacer lo que estas haciendo de otra forma que si se pueda.

El problema es que simplemente gvSIG se ha quedado sin memoria.

Supongo que la tabla sera un shp/dbf (aun se esta descargando), y gvSIG no soporta indices en disco para los atributos de estos, asi que cuando le
dices que ordena lo hace en memoria. Si la tabla es grande (combinacion de muchos registros con tamaño de registro) se queda sin memoria
ordenando.

05/12/2024 1/2

https://mega.nz/file/7IhxERpL#BXrhulb1eS4gSq3HLvHyFYC0yZ07FmPizLnlW1p_-EQ


Lo de que entras en edicion o no es accesorio, si ya se esta consumiendo mucha memoria con la ordenacion, consumir un poco mas con
cualquiercosa puede hacer que falle cualquier cosa en gvSIG.

#3 - 06/23/2020 12:25 PM - Óscar Martínez
- Target version changed from 2.5.1-3026 to 2.5.1-3027

#4 - 07/03/2020 04:56 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3027 to 2.5.1-3044

#5 - 07/14/2020 01:10 PM - Álvaro Anguix
- Target version deleted (2.5.1-3044)

#6 - 05/19/2021 12:20 PM - Álvaro Anguix
- Status changed from New to Won't fix
